import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{
    String[] map = { "lllllllllllllllllllllllll",
            "t                     s  ",
            "                         ",
            "         d               ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "                       e ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "                         ",
            "b                        ",
            "lllllllllllllllllllllllll" };

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 800x608 cells with a cell size of 1x1 pixels.
        super(800, 608, 1, false); 
        setBackground(new GreenfootImage("FlappyCharziardOpenScreen.png"));//Image Found on Google
        //prepare();
    }
    
     public void started()
    {
        if (getObjects(null).isEmpty())
        {
            setBackground("Clouds.png");// Image found on google
            prepare();
        }
    }

    private void prepare()
    {
        for(int i=0; i<map.length; i++) for (int j=0; j<map[i].length(); j++)

            {
                int kind = "dlsebt".indexOf(""+map[i].charAt(j));
                if (kind < 0) continue;
                Actor actor = null;
                if (kind == 0) actor = new Dragon();
                if (kind == 1) actor = new Laser();
                if (kind == 2) actor = new Score();
                if (kind == 3) actor = new Entrance();
                if (kind == 4) actor = new BottomTower();
                if (kind == 5) actor = new TopTower();
                addObject(actor, 16+j*32, 16+i*32);
        }
    }
    
    public void endGame()
    {
        removeObjects(getObjects(null));
        setBackground(new GreenfootImage("FlappyCharziardLoseScreen.png"));// Image found on Google
        Greenfoot.stop();
        return;
    }
}
